<?php
/**
 * The Header for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Fourteen
 * @since Twenty Fourteen 1.0
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) & !(IE 8)]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
	<![endif]-->
    
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/foundation.css" type="text/css" />
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/normalize.css" type="text/css" />

<!--font Awesome -->
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/font-awesome.css" type="text/css" />
<link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/css/font-awesome.min.css" type="text/css" />

<link href='http://fonts.googleapis.com/css?family=Roboto:400,100,300,500,700,900' rel='stylesheet' type='text/css'>
<link href="<?php bloginfo('template_url'); ?>/css/responsive.css" rel="stylesheet" type="text/css">
<script src="<?php bloginfo('template_url'); ?>/js/vendor/modernizr.js"></script>
    
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<!--Start to Wrapper-->
<div id="wrapper">
	
    <div class="fullcnt greentop">
		<div class="row">
			<div class="large-6 medium-7 columns topleftcnt">
				<?php dynamic_sidebar( 'Have any question' ); ?>
			</div>
			
            <div class="large-6 medium-5 columns toprightcnt text-right">
				<?php wp_nav_menu( array( 'menu' => 'Top Menu' ) ); ?>
			</div>
		</div>
	</div>
		
	<div class="hdr fullcnt">
		<div class="row">
			<div class="large-3 medium-2 columns logo"><a href="/"><img src="<?php bloginfo('template_url'); ?>/images/logo.png" alt="" /></a></div>
            <!-- Navigation Start to here -->
			<div class="large-9 medium-10 columns">
				<div class="mainmenu">
					<button class="navbar-toggle right visible-for-small" type="button">           
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</button>
                    <?php wp_nav_menu( array( 'menu' => 'Main Menu' ) ); ?>
				</div>
			</div>
			<!--End Here -->
		</div>
	</div>


	<div class="slider fullcnt">
    	<?php if ( function_exists( 'show_simpleresponsiveslider' ) ) show_simpleresponsiveslider(); ?>
    	<?php /*?><img src="<?php bloginfo('template_url'); ?>/images/slider.jpg" alt="" /><?php */?>
    </div>

